# &kde; kasutaja käsiraamat

Harri
Porten

    porten@kde.org

2008-10-16
0.01.01
kjscmd
1

# `kjscmd`

&kde; KJSEmbedi interpretaator

## Kokkuvõte

    kjscmd --help  -e --exec   -i -interactive   -n -no-kde  fail

## Kirjeldus

`kjscmd` on tööriist KJSEmbedi skriptide käivitamiseks käsureal. See käivitab skriptid määratud failis `fail`, kasutades selleks KJSEmbedit. See ei aktsepteeri parameetri `fail` kohal - (standardsisendit).

## Rakenduse võtmed

`-e`,`--exec`

  failis `fail` leiduva skripti käivitamine ilma graafilise kasutajaliidese toetuseta

`-i`,`--interactive`

  interaktiivse `kjs` interpretaatori käivitamine

`-n`,`--no-kde`

  käivitamine &kde; KApplicationi toetuseta

## Kasutamine

Levinuim viis `kjscmd` käivitamiseks on lihtsalt

    kjscmd fail

Kui parameetrit `fail` ei ole antud, käivitatakse eelnevalt määratud testskript, mis mõõdab `kjscmd` käivitamiskiirust.

## Vaata ka

kjs(1)

## Vead

Vigu võib olla mustmiljon, õige koht neist teadaandmiseks on bugs.kde.org.